<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
|---
| http://unlogic.info | By PolarFox aka Psc 
| Latest threads | Build: 1 
+--------------------------------------------------------*/
require_once 'maincore.php';
require_once THEMES.'templates/header.php';

$lt_sett['maxonpage'] = 20;//max
$lt_sett['maxnavbtns'] = 3;//max navigation btns

add_to_title($locale['global_200'].$locale['global_040']);

global $lastvisited;
if (!isset($lastvisited) || !isnum($lastvisited)) { $lastvisited = time(); }
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

$rows = dbcount('(thread_id)', DB_THREADS." INNER JOIN ".DB_FORUMS." USING (forum_id)"
		,groupaccess('forum_access')." AND thread_hidden='0'");//sneaky trick :P
if (isset($_GET['rowstart']) && ($_GET['rowstart'] < 0 || $_GET['rowstart'] > $rows)) { $_GET['rowstart'] = 0; }

if ($rows) {
	$result = dbquery(
		"SELECT tt.thread_id, tt.thread_subject, tt.thread_views, tt.thread_lastpost, tf.forum_id, tf.forum_name,
		tt.thread_lastuser, tt.thread_lastpostid, tt.thread_postcount
		FROM ".DB_THREADS." tt
		INNER JOIN ".DB_FORUMS." tf USING (forum_id)
		WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0'
		ORDER BY tt.thread_lastpost DESC LIMIT ".$_GET['rowstart'].",".$lt_sett['maxonpage']);

	if (dbrows($result)) {
		$i = 0;
		opentable($locale['global_040']);
		
		if ($rows > $lt_sett['maxonpage'])  {//pagenav top
		echo $pagenavcahe = '<div style="text-align:center;margin-bottom:10px;margin-top:10px;">'.makepagenav($_GET['rowstart'],$lt_sett['maxonpage'],$rows,$lt_sett['maxnavbtns']).'</div>';
		}
		
		echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n
		<td class='tbl2'>&nbsp;</td>\n
		<td width='100%' class='tbl2'><strong>".$locale['global_044']."</strong></td>\n
		<td width='1%' class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['global_045']."</strong></td>\n
		<td width='1%' class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['global_046']."</strong></td>\n
		<td width='1%' class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['global_047']."</strong></td>\n
		</tr>\n";
		while ($data = dbarray($result)) {
			$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n<td class='".$row_color."'>";		

			if ($data['thread_lastpost'] > $lastvisited) {
				$thread_match = $data['thread_id']."\|".$data['thread_lastpost']."\|".$data['forum_id'];
				if (iMEMBER && ($data['thread_lastuser'] == $userdata['user_id'] || preg_match("(^\.{$thread_match}$|\.{$thread_match}\.|\.{$thread_match}$)", $userdata['user_threads']))) {
					echo "<img src='".get_image("folder")."' alt='' />";
				} else {
					echo "<img src='".get_image("foldernew")."' alt='*' />";
				}
			} else {
				echo "<img src='".get_image("folder")."' alt='' />";
			}
			
				echo "</td>\n
				<td width='100%' class='".$row_color."'>
					<strong><a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."&amp;pid=".$data['thread_lastpostid']."#post_".$data['thread_lastpostid']."'>".$data['thread_subject']."</a></strong>
					<br />\n<a href='".FORUM."viewforum.php?forum_id=".$data['forum_id']."'>".$data['forum_name']."</a></td>\n
				<td width='1%' class='".$row_color."' style='text-align:center;white-space:nowrap'>".$data['thread_views']."</td>\n
				<td width='1%' class='".$row_color."' style='text-align:center;white-space:nowrap'>".($data['thread_postcount']-1)."</td>\n
				<td width='1%' class='".$row_color."' style='text-align:center;white-space:nowrap'>\n".showdate("forumdate", $data['thread_lastpost'])."</td>\n
				</tr>\n";
			$i++;
		}
		echo "</table>\n";
		
		if ($rows > $lt_sett['maxonpage'])  {//pagenav btn
			echo $pagenavcahe;
		}

		closetable();
	}
}
else {
	opentable($locale['global_040']);
	echo "<div style='text-align:center'><br />\n".$locale['global_023']."<br /><br />\n</div>\n";
	closetable();
}

///AND tt.thread_lastpost >= ".$timeframe."
require_once THEMES."templates/footer.php";
?>